
Smart Proxy - Feature #13326

Update list of features in Foreman on Smart Proxy startup

01/22/2016 08:40 AM - Ondřej Pražák

Status: New   

Priority: Normal   

Assignee:    

Category: Core   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When smart Proxy starts, it should advertise its features to Foreman

Related issues:

Related to Foreman - Feature #13290: Smart Proxy send list of features to For... New 01/20/2016

Related to Smart Proxy - Refactor #4868: As a developer I'd like to be able t... New 03/26/2014

History

#1 - 01/22/2016 08:40 AM - Ondřej Pražák

- Related to Feature #13290: Smart Proxy send list of features to Foreman on startup added

#2 - 01/22/2016 08:52 AM - Greg Sutcliffe

The proxy already advertises it's features - a simple GET /features will return them. Do you mean something else?

#3 - 05/12/2016 11:21 AM - Dominic Cleal

- Category set to Core

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/363 added

#4 - 05/12/2016 11:21 AM - Dominic Cleal

- Related to Refactor #4868: As a developer I'd like to be able to dynamically (and periodically) discover available smart-proxy features added

#5 - 08/08/2016 06:20 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Ondřej Pražák)

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/363)

The pull request has been closed due to inactivity.
